import { CheckoutService } from "../../services/checkout/checkout.service";
export declare class StepService {
    private checkout;
    step_id: any;
    constructor(checkout: CheckoutService);
    /** Persistir el id del paso para luego indicarle al CheckoutService quien le habla */
    initialize: (step_id: any) => void;
    /** Reinicia información en CheckoutService del paso */
    restartStep: () => Promise<boolean>;
    /**
     * Obtener información obtenida en el paso de datos asociados al usuario y a la facturación
     */
    getUserData: () => any;
    /**
     * Obtener información obtenida en el paso de envío
     */
    getShipmentData: () => any;
    /**
     * Obtener información obtenida en el paso de pago
     */
    getPaymentData: () => any;
    /**
     *
     * @param step_data Información obtenida en el paso
     * @param order Información de la orden que devolvió el backend al terminar el paso
     */
    setStepReady: (step_data: any, order: any) => Promise<boolean>;
}
