import { Constants } from "../../core.consts";
import { FilterType } from "../../interfaces/filter";
import { FilterElement } from "../../interfaces/filter";
import { Filter } from "./Filter";
export declare class SortFilter extends Filter {
    private consts?;
    data: FilterElement[];
    multi: boolean;
    constructor(consts?: Constants);
    type: () => FilterType;
    setContent: () => void;
    getContent: () => FilterElement[];
    toUrlParams: (actual_url?: string, sublist?: any, father?: any) => string;
    translate: (value: any) => "name" | "price" | "dateCreate";
}
