import { OnInit, OnChanges } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService } from '../../services/auth.service';
import { ToastService } from '../../utils/toast.service';
import { ComponentHelper } from '../../classes/component-helper';
import { ParametersService } from '../../services/parameters.service';
export declare class AuthEcComponent extends ComponentHelper implements OnInit, OnChanges {
    authService: AuthService;
    protected toastr: ToastService;
    paramsService: ParametersService;
    protected activatedRoute: ActivatedRoute;
    protected formBuilder: FormBuilder;
    router: Router;
    complete: boolean;
    data: {
        email: any;
        password: any;
        nombre: any;
        apellido: any;
    };
    redirect: boolean;
    loginForm: FormGroup;
    registerForm: FormGroup;
    loading: Boolean;
    register_loading: Boolean;
    params: any;
    constructor(authService: AuthService, toastr: ToastService, paramsService: ParametersService, activatedRoute: ActivatedRoute, formBuilder: FormBuilder, router: Router);
    ngOnInit(): void;
    ngOnChanges(): void;
    setProp: (prop: any, event: any) => void;
    login: () => void;
    redirectHome: () => void;
    register: (event: any) => void;
}
