import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Router } from "@angular/router";
import { ComponentHelper } from '../../../classes/component-helper';
import { AnalyticsService } from '../../../services/analytics.service';
import { AuthService } from '../../../services/auth.service';
import { ToastService } from '../../../utils/toast.service';
export declare class RegisterFormEcComponent extends ComponentHelper implements OnInit {
    authService: AuthService;
    protected toastr: ToastService;
    router: Router;
    analyticsService: AnalyticsService;
    protected formBuilder: FormBuilder;
    isLogged: Boolean;
    darkMode: boolean;
    redirect: boolean;
    complete: boolean;
    ready: EventEmitter<any>;
    success: Boolean;
    campospersonajuridica: boolean;
    register_loading: boolean;
    registerForm: FormGroup;
    registroUsuario: any;
    constructor(authService: AuthService, toastr: ToastService, router: Router, analyticsService: AnalyticsService, formBuilder: FormBuilder);
    ngOnInit(): void;
    setProp: (prop: any, event: any) => void;
    redirectHome: () => void;
    register: (event: any) => void;
}
