import { OnInit } from '@angular/core';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { Banner } from '../../../interfaces/block';
import { BlocksService } from '../../../services/blocks/blocks.service';
import { OwlOptions } from 'ngx-owl-carousel-o';
import { AnalyticsService } from '../../../services/analytics.service';
export declare type ColumnSize = 'col-md-8' | 'col-md-4' | 'col-md-12';
export declare class BlockBannerBoxesEcComponent extends ComponentHelper implements OnInit {
    blocksService: BlocksService;
    protected consts: Constants;
    private analyticsService;
    banners: Banner[];
    meta: any;
    dots: boolean;
    nav: boolean;
    loop: boolean;
    margin: number;
    protected big_ones: number[];
    constructor(blocksService: BlocksService, consts: Constants, analyticsService: AnalyticsService);
    ngOnInit(): void;
    getImage: (banner: any) => any;
    formUrl: (banner: any) => string;
    columnSize: (i: any) => ColumnSize;
    esImpar: (number: any) => boolean;
    boxesInlcudesCode: (box: string) => any;
    trimClassBlock(code: string): string;
    options: OwlOptions;
    selectPromotion(banner: any): void;
}
