import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { BlocksService } from '../../../services/blocks/blocks.service';
import { OwlOptions } from 'ngx-owl-carousel-o';
import { AnalyticsService } from '../../../services/analytics.service';
export declare class BlockBannerFullEcComponent extends ComponentHelper implements OnInit {
    blocksService: BlocksService;
    protected consts: Constants;
    router: Router;
    private analyticsService;
    banners: any;
    meta: any;
    dots: boolean;
    nav: boolean;
    loop: boolean;
    margin: number;
    constructor(blocksService: BlocksService, consts: Constants, router: Router, analyticsService: AnalyticsService);
    ngOnInit(): void;
    getImage: (banner: any) => any;
    formUrl: (banner: any) => string;
    handlePage(page: string): boolean;
    trimClassBlock(code: string): string;
    options: OwlOptions;
    selectPromotion(banner: any): void;
}
