import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { BlockType } from '../../../interfaces/block';
import { BlocksService } from '../../../services/blocks/blocks.service';
import { ParametersService } from '../../../services/parameters.service';
import { ToastService } from '../../../utils/toast.service';
export declare class ContactFormNewsEcComponent extends ComponentHelper implements OnInit {
    protected toastrService: ToastService;
    router: Router;
    consts: Constants;
    paramsService: ParametersService;
    formBuilder: FormBuilder;
    protected blocksService: BlocksService;
    env: any;
    block: any;
    complete: boolean;
    success_message: any;
    subject?: any;
    codeBlock: string;
    blocks: BlockType[];
    blockContact: any;
    contact_form: FormGroup;
    newsletter_form: FormGroup;
    protected form_data: any;
    constructor(toastrService: ToastService, router: Router, consts: Constants, paramsService: ParametersService, formBuilder: FormBuilder, blocksService: BlocksService, env: any);
    sendForm: (form: any, success_message: any) => void;
    ngOnChanges(): void;
    ngOnInit(): void;
    subscribeBlockNews: (block: any) => void;
    setSubject: () => void;
    resolved(captchaResponse: string, res: any): void;
    subscribe: () => void;
    toastNewsletterForm: (e: any) => void;
    sendValue: (key: any) => any;
    trimClassBlock(code: string): string;
}
