import { OnInit, OnChanges, TemplateRef } from '@angular/core';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { Product } from '../../../interfaces/product';
import { AnalyticsService } from '../../../services/analytics.service';
import { OwlOptions } from 'ngx-owl-carousel-o';
export declare class BlockProductsEcComponent extends ComponentHelper implements OnInit, OnChanges {
    protected consts: Constants;
    private analyticsService;
    appProduct: TemplateRef<any>;
    products: Product[];
    meta: any;
    dots: boolean;
    nav: boolean;
    loop: boolean;
    margin: number;
    optionsOwl: OwlOptions;
    constructor(consts: Constants, analyticsService: AnalyticsService);
    ngOnInit(): void;
    ngOnChanges(): void;
    boxesInlcudesCode: (box: string) => any;
    getKeyByValue(object: any, value: any): string;
    trimClassBlock(code: string): string;
    selectPromotion(banner: any): void;
}
