import { OnInit, TemplateRef } from '@angular/core';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { IBlock } from '../../interfaces/block';
import { BlocksService } from '../../services/blocks/blocks.service';
import { AnalyticsService } from '../../services/analytics.service';
export declare class BlocksEcComponent extends ComponentHelper implements OnInit {
    blocksService: BlocksService;
    protected consts: Constants;
    private analyticsService;
    private strsection;
    appProduct: TemplateRef<any>;
    templates: TemplateRef<any>;
    blockFilters: string[];
    set section(paramsstrsection: any);
    show_loading: boolean;
    constructor(blocksService: BlocksService, consts: Constants, analyticsService: AnalyticsService);
    ngOnInit(): void;
    getHTMLContent: (block: IBlock) => any;
    showBlock: (block: IBlock) => boolean;
    isNewsletter: (block: any) => any;
    trimClassBlock(code: string): string;
    selectPromotion(block: any): void;
}
