import { OnInit, SimpleChanges } from '@angular/core';
import { Router } from '@angular/router';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { AnalyticsService } from '../../services/analytics.service';
import { ProductsService } from '../../services/products/products.service';
export declare class RelatedProductsEcComponent extends ComponentHelper implements OnInit {
    protected productsService: ProductsService;
    private analyticsService;
    consts: Constants;
    router: Router;
    relatedProducts: any[];
    product_id: any;
    name: any;
    private keywordsToCompare;
    constructor(productsService: ProductsService, analyticsService: AnalyticsService, consts: Constants, router: Router);
    ngOnInit(): void;
    load(product_id: any): void;
    includeKeyword: (word: string) => boolean;
    ngOnChanges(changes: SimpleChanges): void;
    customOptions: any;
}
