import { OnInit } from '@angular/core';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { ReviewsService } from '../../services/reviews.service';
export declare class ReviewsEcComponent extends ComponentHelper implements OnInit {
    private reviewsService;
    consts: Constants;
    /**
     * @description producto del cual se obtendran las reviews.
     */
    product: any;
    reviews: any;
    constructor(reviewsService: ReviewsService, consts: Constants);
    ngOnInit(): void;
    next: () => void;
    last: () => void;
    first: () => void;
    self: () => void;
    /**
     * @description genera un arreglo con tamaño igual a la cantidad de paginas que tiene la review.
     * @returns {number[]} un arreglo cuyo contendio es un entero que indica el numero de pagina.
     */
    getPages: () => number[];
    /**
     * @description actualiza las reviews con el contenido asociado a la pagina pasada por parametro
     * @param page
     */
    goPage: (page: number) => void;
}
