import { EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { ConnectionService } from '../../../api/connection.service';
import { Constants } from '../../../core.consts';
import { CartService } from '../../../services/cart.service';
import { ParametersService } from '../../../services/parameters.service';
import { ToastService } from '../../../utils/toast.service';
export declare class CulqiEcComponent implements OnInit {
    private renderer;
    private consts;
    private cartService;
    private toastr;
    private connection;
    private paramsService;
    amount: any;
    apiKey: any;
    method: any;
    customStyle: any;
    ready: EventEmitter<any>;
    private anchor;
    loaded: boolean;
    private settings;
    private culqiParams;
    private defaultErrorFeedback;
    constructor(renderer: Renderer2, consts: Constants, cartService: CartService, toastr: ToastService, connection: ConnectionService, paramsService: ParametersService);
    configCulqi(apiKey: string, commerce: string, currency: string): void;
    optionCulqi(lang: string, modal: boolean, installments: boolean): void;
    openPayment(description: string, amount: number): void;
    getParams: (params: any) => void;
    culqi: () => void;
    open: () => void;
    isReady: () => any;
    finishApi: () => string;
    onSuccess: () => void;
    onRejected: (response: any) => void;
    processResponse: (response: any) => void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
