import { OnInit, Renderer2, OnChanges, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ComponentHelper } from "../../../classes/component-helper";
import { ConnectionService } from '../../../api/connection.service';
import { ToastService } from '../../../utils/toast.service';
import { Constants } from '../../../core.consts';
import { CartService } from '../../../services/cart.service';
import { DomSanitizer } from '@angular/platform-browser';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
export declare class MobbexEcComponent extends ComponentHelper implements OnInit, OnDestroy, OnChanges {
    renderer: Renderer2;
    connection: ConnectionService;
    toastrService: ToastService;
    consts: Constants;
    cartService: CartService;
    toastr: ToastService;
    activedRoute: ActivatedRoute;
    sanitizer: DomSanitizer;
    modalService: BsModalService;
    paymentServiceInst: any;
    method: any;
    total_amount: number;
    allData: any;
    user_data: any;
    ready: EventEmitter<any>;
    protected template: TemplateRef<any>;
    protected modalRef: BsModalRef | null;
    protected dataMobbex: any;
    loading: boolean;
    isDobleAuth: boolean;
    urls: any[];
    url: any;
    closeModal: string;
    ventana: any;
    protected dataRedirect: () => string;
    constructor(renderer: Renderer2, connection: ConnectionService, toastrService: ToastService, consts: Constants, cartService: CartService, toastr: ToastService, activedRoute: ActivatedRoute, sanitizer: DomSanitizer, modalService: BsModalService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    openModal(template: TemplateRef<any>): void;
    clearStorageState: () => void;
    clickClose: () => void;
    callState: () => void;
    processError: (err: any) => void;
    getCheckoutMobbex: () => void;
}
