import { OnInit, ElementRef, Renderer2, OnChanges, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { BsModalService, BsModalRef } from 'ngx-bootstrap/modal';
import { ConnectionService } from '../../../api/connection.service';
import { ToastService } from '../../../utils/toast.service';
import { CartService } from '../../../services/cart.service';
import { Constants } from '../../../core.consts';
import { ComponentHelper } from '../../../classes/component-helper';
/** @dynamic */
export declare class RedSysProEcComponent extends ComponentHelper implements OnInit, OnDestroy, OnChanges {
    protected renderer: Renderer2;
    protected connection: ConnectionService;
    protected toastrService: ToastService;
    consts: Constants;
    cartService: CartService;
    protected toastr: ToastService;
    protected document: Document;
    protected activedRoute: ActivatedRoute;
    protected modalService: BsModalService;
    method: any;
    total_amount: number;
    ready: EventEmitter<any>;
    user_data: any;
    protected formDobleAuth: ElementRef;
    protected template: TemplateRef<any>;
    protected modalRef: BsModalRef | null;
    protected intentoRequest: boolean;
    loading: boolean;
    isDobleAuth: boolean;
    urls: any[];
    closeModal: string;
    protected finishApi: () => string;
    protected challengeApi: () => string;
    protected merchantOrder: () => string;
    constructor(renderer: Renderer2, connection: ConnectionService, toastrService: ToastService, consts: Constants, cartService: CartService, toastr: ToastService, document: Document, activedRoute: ActivatedRoute, modalService: BsModalService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    openModal(template: TemplateRef<any>): void;
    clearStorageState: () => void;
    clickClose: () => void;
    callState: () => void;
    processError: (err: any) => void;
}
