export interface ProductOption {
    code?: string;
    type?: string;
    label?: string;
    values?: any[];
}
export interface AttributeFilter {
    code?: string;
    name?: string;
    styles?: any[];
    children?: any[];
}
export interface FilterStep {
    code?: string;
    name?: string;
    description?: string;
    image?: string;
    mobileImage?: string;
    skippeable?: boolean;
    type?: string;
    productOption?: ProductOption;
    attribute?: AttributeFilter;
    styles?: any[];
    children?: any[];
    values?: any[];
    current?: boolean;
    touched?: boolean;
    valueSelected?: any;
}
