import { ConnectionService } from '../api/connection.service';
import { Constants } from '../core.consts';
import { Observable } from 'rxjs';
import { OptionsService } from './options.service';
import 'rxjs/add/operator/catch';
export declare class BannerService {
    private connection;
    private constants;
    private optionsService;
    private bannerSubject;
    private type;
    private code;
    banner: Observable<any>;
    bannersByTaxonApi: (taxon: any) => string;
    bannersByAttributeApi: (attribute: any) => string;
    constructor(connection: ConnectionService, constants: Constants, optionsService: OptionsService);
    getBanner: (type: any, code: any) => void;
    getBannersByTaxon(taxon: string): Observable<any>;
    getBannersByAttribute(attribute: any): Observable<any>;
    loadBannersByTaxon(taxon: any): void;
    loadBannersByAtrribute(attribute: any): void;
    private procesateBanners;
    getImage: (banner: any) => any;
    getImageFull: (banner: any) => string;
    mobile: () => boolean;
}
