import { Injector } from '@angular/core';
import { BodyError } from '../../interfaces/checkout/checkout-error';
import { CartService } from '../cart.service';
import { Constants } from '../../core.consts';
import { ToastrService } from 'ngx-toastr';
export declare class ErrorHandlerService {
    private cartService;
    private toastrService;
    private injector;
    private consts;
    private errorSubject;
    error$: import("rxjs").Observable<BodyError>;
    constructor(cartService: CartService, toastrService: ToastrService, injector: Injector, consts: Constants);
    outOfStock: (error: BodyError) => void;
    channeAccessPermissionDenied: (error: BodyError) => void;
    otherErrors: (error: BodyError) => void;
    clearError: () => void;
    handlerErrorResponse: (error: BodyError) => void;
}
