import { Constants } from '../core.consts';
import { CartService } from './cart.service';
import { CheckoutProcessState } from '../classes/checkout-process-state';
import { ConnectionService } from '../api/connection.service';
export declare class GiftCardService {
    private consts;
    private cartService;
    private connection;
    private stateSubject;
    private baseUrl;
    private couponApi;
    state: import("rxjs").Observable<CheckoutProcessState>;
    constructor(consts: Constants, cartService: CartService, connection: ConnectionService);
    setCoupon: (coupon: any) => void;
    removeCoupon: () => void;
    deleteCoupon: () => void;
    handleResponse: (response: any, coupon: any) => void;
    avoidCoupon: () => void;
}
