import { RendererFactory2 } from '@angular/core';
import { Router } from '@angular/router';
import { AnalyticEventKey } from '../../interfaces/analytics/event-key.model';
import { ProductsService } from '../../services/products/products.service';
export declare class GoogleAnalyticsService {
    private rendererFactory;
    private document;
    private router;
    private productsService;
    private renderer;
    private enabled;
    constructor(rendererFactory: RendererFactory2, document: any, router: Router, productsService: ProductsService);
    initialize(gtm_id: string): void;
    private startListeningPageViews;
    callEvent: (event_name: AnalyticEventKey, data?: {}) => void;
    translateEventName: (event_name: AnalyticEventKey) => "view_item" | "purchase" | "add_payment_info" | "remove_from_cart" | "view_item_list" | "sign_up" | "add_to_cart" | "begin_checkout" | "add_shipping_info";
    evalEvent: (event_name: any, data: any) => any;
    private toPurchase;
    private toCheckoutInit;
    private toCartDiscount;
    private toAddToCart;
    disable: () => boolean;
    private toViewItem;
    private toViewItemList;
    private toRemoveToCart;
    private toItem;
    private toPaymentInfo;
    private toShippingInfo;
    private toSignUp;
}
