import { OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ActivatedRoute, Router } from '@angular/router';
import { OrdersService } from '../../../services/account/orders.service';
import { Constants } from '../../../core.consts';
import { ComponentHelper } from '../../../classes/component-helper';
export declare class OrderEcComponent extends ComponentHelper implements OnInit {
    ordersService: OrdersService;
    protected activedRoute: ActivatedRoute;
    router: Router;
    consts: Constants;
    protected orderSubject: BehaviorSubject<any>;
    order$: import("rxjs").Observable<any>;
    order: any;
    loading: boolean;
    error: any;
    numberOrder: any;
    constructor(ordersService: OrdersService, activedRoute: ActivatedRoute, router: Router, consts: Constants);
    ngOnInit(): void;
    toDate: (date: any, format: any) => string;
    callError: () => void;
    volver: () => Promise<boolean>;
}
