import { OnInit, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { Subscription } from 'rxjs';
import { ComponentHelper } from '../../../classes/component-helper';
import { AuthService } from '../../../services/auth.service';
export declare class SelectChannelEcComponent extends ComponentHelper implements OnInit {
    authService: AuthService;
    private modalService;
    private router;
    bsModalRef: BsModalRef;
    protected template: TemplateRef<any>;
    subs: Subscription;
    subsModal: Subscription;
    channels: any[];
    constructor(authService: AuthService, modalService: BsModalService, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    navigateByUrl: () => void;
    initializeTemplate: () => void;
    setSelect: (chanelSelect: any) => void;
    setChannel: () => void;
}
