import { OnInit, OnChanges } from '@angular/core';
import { Router } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ToastService } from '../../../utils/toast.service';
import { BlocksService } from '../../../services/blocks/blocks.service';
import { Constants } from '../../../core.consts';
import { ComponentHelper } from '../../../classes/component-helper';
export declare class BlockFormContactEcComponent extends ComponentHelper implements OnInit, OnChanges {
    protected toastrService: ToastService;
    router: Router;
    consts: Constants;
    formBuilder: FormBuilder;
    protected blocksService: BlocksService;
    block: any;
    success_message: any;
    redirect: boolean;
    subject?: any;
    contact_form: FormGroup;
    newsletter_form: FormGroup;
    protected form_data: any;
    loading: boolean;
    constructor(toastrService: ToastService, router: Router, consts: Constants, formBuilder: FormBuilder, blocksService: BlocksService);
    sendForm: (form: any, success_message: any) => void;
    trimClassBlock(code: string): string;
    uploadFile(event: any): void;
    ngOnChanges(): void;
    ngOnInit(): void;
    setSubject: () => void;
    resolved(captchaResponse: string): void;
    subscribe: () => void;
    toastNewsletterForm: (e: any) => void;
    toastCompleteForm: (e: any) => void;
    sendValue: (key: any) => any;
}
