import { Renderer2, ElementRef, OnChanges, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ComponentHelper } from '../../../classes/component-helper';
import { CheckoutService } from '../../../services/checkout/checkout.service';
import { PaymentService } from '../../../services/checkout/payment.service';
import { ToastService } from '../../../utils/toast.service';
export declare class PaymentEcComponent extends ComponentHelper implements OnChanges, OnInit {
    protected renderer: Renderer2;
    protected toastr: ToastService;
    paymentService: PaymentService;
    checkoutService: CheckoutService;
    step_id: any;
    protected mercadopago_button: ElementRef;
    protected methodDataSubject: BehaviorSubject<any>;
    private loadingSubject;
    protected preference: any;
    loading_internal: boolean;
    order_id: any;
    error: any;
    loading: boolean;
    loading_internal_mp: boolean;
    method_data$: import("rxjs").Observable<any>;
    loading$: import("rxjs").Observable<boolean>;
    total_amount: any;
    constructor(renderer: Renderer2, toastr: ToastService, paymentService: PaymentService, checkoutService: CheckoutService);
    ngOnChanges(): void;
    ngOnInit(): void;
    allData: () => any;
    setError: (message: any) => void;
    emitResult: () => Promise<void>;
    setLoading: (estado?: boolean) => boolean;
    verifyValidate: () => void;
    setMethod: (method: any) => Promise<void>;
    setActive(e: any): void;
    submitForm: (event: any) => boolean;
    getPK: (method: any) => any;
    isRedirectRedsys: (code: string) => boolean;
    isRedirectCecaBank: (code: string) => boolean;
    isMP: (code: string) => boolean;
    isMPTarjetaDeCredito: (code: string) => boolean;
    isMethodOffline: (code: string) => boolean;
    isPeyPalExpress: (code: string) => boolean;
    isMobbex: (code: string) => boolean;
    isBancard: (code: string) => boolean;
    isDecidir: (code: string) => boolean;
    isCulqi: (code: string) => boolean;
    isBankTransfer: (code: string) => boolean;
    isCatastro: (code: string) => boolean;
    isBamboo: (code: string) => boolean;
    getPKCulqi: (method: any) => any;
}
