import { OnInit, OnChanges } from '@angular/core';
import { ComponentHelper } from '../../../classes/component-helper';
import { CheckoutService } from '../../../services/checkout/checkout.service';
import { ShipmentService } from '../../../services/checkout/shipment.service';
import { ProductsService } from '../../../services/products/products.service';
import { ToastService } from '../../../utils/toast.service';
export declare class ShipmentEcComponent extends ComponentHelper implements OnInit, OnChanges {
    shipmentService: ShipmentService;
    protected toastrService: ToastService;
    productsService: ProductsService;
    checkoutService: CheckoutService;
    step_id: any;
    methods_list: any[];
    methodSelect: any;
    loading_internal: boolean;
    points: any[];
    selected_final: any;
    costos: any;
    costs: any[];
    moreInfoInMethod: any;
    contracts: any[];
    constructor(shipmentService: ShipmentService, toastrService: ToastService, productsService: ProductsService, checkoutService: CheckoutService);
    emitResult: (method_name: any, contract_data: any) => void;
    verifyValidate: (contract: any, data: any) => void;
    ngOnInit(): void;
    ngOnChanges(): void;
    toTraducible: (name: any) => any;
    deleteUPS: (methods: any) => any;
    setMethod: (method: any) => void;
    setActive(e: any): void;
    validName: (name: any) => boolean;
    showResponse: (costs: any) => void;
}
