import { OnInit, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { Subscription } from 'rxjs';
import { ComponentHelper } from '../../classes/component-helper';
import { BodyError } from '../../interfaces/checkout/checkout-error';
import { CheckoutService } from '../../services/checkout/checkout.service';
import { ErrorHandlerService } from '../../services/checkout/error-handler.service';
export declare class CheckoutErrorComponent extends ComponentHelper implements OnInit {
    checkoutErrorService: ErrorHandlerService;
    checkoutService: CheckoutService;
    private modalService;
    private router;
    error: BodyError;
    bsModalRef: BsModalRef;
    protected template: TemplateRef<any>;
    urlRedireccion: string;
    subs: Subscription;
    subsModal: Subscription;
    constructor(checkoutErrorService: ErrorHandlerService, checkoutService: CheckoutService, modalService: BsModalService, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    navigateByUrl: () => void;
    initializeTemplate: () => void;
}
