import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Constants } from '../../core.consts';
import { ComponentHelper } from '../../classes/component-helper';
import { FiltersService } from '../../services/filters.service';
/** @dynamic */
export declare class FiltersEcComponent extends ComponentHelper implements OnInit, OnChanges {
    protected consts: Constants;
    document: Document;
    private filtersService;
    setSelected: any;
    filters: any;
    expand: boolean;
    constructor(consts: Constants, document: Document, filtersService: FiltersService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    close: (accordion_id: any) => boolean;
    uniqueSelection(filter: any, filterChild: any): void;
}
