import { OnInit } from '@angular/core';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { Menu } from '../../interfaces/navbar-items';
import { OptionsService } from '../../services/options.service';
import { ParametersService } from '../../services/parameters.service';
export declare class FooterEcComponent extends ComponentHelper implements OnInit {
    protected optionsService: OptionsService;
    paramsService: ParametersService;
    protected consts: Constants;
    menuItemsCategories: Menu[];
    menuItemsSections: Menu[];
    menuItemsAttributes: Menu[];
    sections: any[];
    categories: any[];
    attributes: any[];
    mediaUrl: string;
    params: any;
    constructor(optionsService: OptionsService, paramsService: ParametersService, consts: Constants);
    ngOnInit(): void;
    protected updateCategories: (categories: any) => void;
    protected updateAttributes: (attributes: any) => void;
    protected updateMenuItem: (elements: any) => void;
    hasParams: (params: any, searched: any) => any;
    mobile: () => boolean;
    addChildren: (menuItems: any, code: any, item: any, stackPlace?: string) => void;
    ecUpdateMenuItemSection: (menuItems: any) => any;
    ecUpdateMenuItemCategories: (menuItems: any) => any;
    ecUpdateMenuItemAttributes: (menuItems: any) => any;
}
