import { OnInit, EventEmitter } from "@angular/core";
import { FormBuilder, FormGroup } from "@angular/forms";
import { Router } from "@angular/router";
import { ComponentHelper } from "../../classes/component-helper";
import { UserRoleType } from "../../classes/user-role-type";
import { AuthService } from "../../services/auth.service";
import { ToastService } from "../../utils/toast.service";
export declare class LoginEcComponent extends ComponentHelper implements OnInit {
    protected authService: AuthService;
    protected toastrService: ToastService;
    protected formBuilder: FormBuilder;
    router: Router;
    redirect: boolean;
    title: string;
    buyButton: boolean;
    withRoles: UserRoleType[];
    ready: EventEmitter<any>;
    loggedIn: EventEmitter<any>;
    loading: boolean;
    loginForm: FormGroup;
    constructor(authService: AuthService, toastrService: ToastService, formBuilder: FormBuilder, router: Router);
    ngOnInit(): void;
    redirectHome: () => void;
    nagivate(url: string): void;
    login: ($event: any) => void;
}
