import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { ComponentHelper } from '../../classes/component-helper';
import { AuthService } from '../../services/auth.service';
import { ToastService } from '../../utils/toast.service';
export declare class PasswordResetEcComponent extends ComponentHelper implements OnInit {
    protected authService: AuthService;
    protected toastr: ToastService;
    protected activedRoute: ActivatedRoute;
    router: Router;
    protected formBuilder: FormBuilder;
    email: string;
    loading: boolean;
    ready: boolean;
    protected token: any;
    formGroup: FormGroup;
    constructor(authService: AuthService, toastr: ToastService, activedRoute: ActivatedRoute, router: Router, formBuilder: FormBuilder);
    ngOnInit(): void;
    sendNewPassword: (event: any) => void;
    invalidForm: () => boolean;
    processOk: (response: any) => void;
    processError: (response: any) => void;
    sendToLogin: () => Promise<boolean>;
}
