import { OnInit } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { ActivatedRoute } from '@angular/router';
import { ToastrService } from 'ngx-toastr';
import { ComponentHelper } from '../../classes/component-helper';
import { OptionsService } from '../../services/options.service';
export declare class SectionContainerEcComponent extends ComponentHelper implements OnInit {
    protected activatedRoute: ActivatedRoute;
    protected optionsService: OptionsService;
    protected toastrService: ToastrService;
    protected sanitizer: DomSanitizer;
    content_html: SafeHtml;
    loadSection: boolean;
    sanitizeHtml: boolean;
    name: any;
    dataSection: any;
    private sections;
    constructor(activatedRoute: ActivatedRoute, optionsService: OptionsService, toastrService: ToastrService, sanitizer: DomSanitizer);
    ngOnInit(): void;
    getSection: (link: any) => void;
    getDataSection: (code: any) => void;
}
