import { OnInit, Renderer2 } from '@angular/core';
import { Meta, Title } from '@angular/platform-browser';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { Product } from '../../interfaces/product';
import { ParametersService } from '../../services/parameters.service';
export declare class ShareBlockEcComponent extends ComponentHelper implements OnInit {
    consts: Constants;
    paramsService: ParametersService;
    protected renderer: Renderer2;
    private meta;
    private title;
    product: Product;
    url: string;
    mediaimg: string;
    description: string;
    params: any;
    constructor(consts: Constants, paramsService: ParametersService, renderer: Renderer2, meta: Meta, title: Title);
    ngOnInit(): void;
    toShareFacebook: () => string;
    toShareTwitter: () => string;
    toSharePinterest: () => string;
    toShareWhatsapp: (wsp: any) => string;
    toShareEmail: (mail: any) => string;
    createMetadata: () => void;
}
