import { OnInit, Renderer2, OnChanges, EventEmitter, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ComponentHelper } from "../../../classes/component-helper";
import { ConnectionService } from '../../../api/connection.service';
import { ToastService } from '../../../utils/toast.service';
import { Constants } from '../../../core.consts';
import { CartService } from '../../../services/cart.service';
import { DomSanitizer } from '@angular/platform-browser';
export declare class BancardRedirectEcComponent extends ComponentHelper implements OnInit, OnDestroy, OnChanges {
    renderer: Renderer2;
    connection: ConnectionService;
    toastrService: ToastService;
    consts: Constants;
    cartService: CartService;
    toastr: ToastService;
    activedRoute: ActivatedRoute;
    private sanitizer;
    method: any;
    total_amount: number;
    user_data: any;
    paymentServiceInst: any;
    allData: any;
    ready: EventEmitter<any>;
    protected preference: any;
    protected dataBancard: any;
    loading: boolean;
    isDobleAuth: boolean;
    urls: any[];
    url: any;
    closeModal: string;
    ventana: any;
    protected dataRedirect: () => string;
    constructor(renderer: Renderer2, connection: ConnectionService, toastrService: ToastService, consts: Constants, cartService: CartService, toastr: ToastService, activedRoute: ActivatedRoute, sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    iniciar: () => void;
    clearStorageState: () => void;
    clickClose: () => void;
    callState: () => void;
    processError: (err: any) => void;
    setError: (message: any) => void;
    getCheckoutBancard: () => void;
}
