import { OnInit, Renderer2, EventEmitter } from '@angular/core';
import { ToastService } from '../../../../utils/toast.service';
import { Constants } from '../../../../core.consts';
import { ConnectionService } from '../../../../api/connection.service';
import { CartService } from '../../../../services/cart.service';
import { ComponentHelper } from '../../../../classes/component-helper';
export declare class MPCreditEcComponent extends ComponentHelper implements OnInit {
    protected renderer: Renderer2;
    protected connection: ConnectionService;
    consts: Constants;
    protected cartService: CartService;
    protected toastr: ToastService;
    public_key: any;
    total_amount: any;
    ready: EventEmitter<any>;
    user_data: any;
    installments: any[];
    installment: any;
    installment_data: any;
    issuers: any[];
    issuer_id: any;
    merchant_account_id: any;
    doSubmit: boolean;
    payment_method: string;
    require_issuer: boolean;
    allready_payed: boolean;
    payment_method_option_id: any;
    payment_method_id: any;
    processing_mode: any;
    token: any;
    email: any;
    doc_number: any;
    doc_type: string;
    bin: any;
    code: any;
    month: any;
    year: any;
    cardholder: any;
    protected finishApi: () => string;
    constructor(renderer: Renderer2, connection: ConnectionService, consts: Constants, cartService: CartService, toastr: ToastService);
    ngOnInit(): void;
    expiryChange: (event: any) => void;
    expiryOnKey: (event: any) => void;
    cardNumberChange: (event: any) => void;
    verifyValidate: (data: any) => void;
    guessPaymentMethod: (event: any) => void;
    getPaymentMethod: (bin: any) => void;
    setPaymentMethod: (status: any, response: any) => void;
    getIssuers: (paymentMethodId: any) => void;
    setIssuers: (status: any, response: any) => void;
    restartInstallments: () => void;
    selectIssuer: (value: any) => void;
    selectInstallment: (value: any) => void;
    getInstallments: (paymentMethodId?: any, transactionAmount?: any, issuerId?: any) => void;
    setInstallments: (status: any, response: any) => void;
    getCardToken: (event: any) => boolean;
    setCardTokenAndPay: (status: any, response: any) => void;
    isInvalid: () => boolean;
    calculateTotal: (cost: any) => any;
    processResponse: (response: any) => void;
    processError: (response: any) => void;
    parseErrorMessage: (status_code: any) => "Ingresa el número de tu tarjeta." | "Elige un mes." | "Elige un año." | "Ingresa tu tipo de documento." | "Ingresa tu documento." | "Ingresa tu banco." | "Ingresa el nombre y apellido." | "Ingresa el código de seguridad." | "Ingresa un nombre válido." | "El tipo de documento es inválido." | "Revisa tu documento." | "El documento es inválido." | "El mes es inválido" | "El año es inválido" | "Verifique que los datos sean correctos.";
    getDescripcionCuota: (itemCuota: any) => any;
}
