import { OnInit, ElementRef, Renderer2, OnChanges, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ConnectionService } from '../../../api/connection.service';
import { ToastService } from '../../../utils/toast.service';
import { Constants } from '../../../core.consts';
import { CartService } from '../../../services/cart.service';
import { ComponentHelper } from '../../../classes/component-helper';
import { Subscription } from 'rxjs';
export declare class PaypalExpressEcComponent extends ComponentHelper implements OnInit, OnDestroy, OnChanges {
    renderer: Renderer2;
    connection: ConnectionService;
    toastrService: ToastService;
    consts: Constants;
    cartService: CartService;
    toastr: ToastService;
    activedRoute: ActivatedRoute;
    method: any;
    total_amount: number;
    ready: EventEmitter<any>;
    user_data: any;
    protected template: TemplateRef<any>;
    paypalElement: ElementRef;
    getUrlNotification: () => string;
    producto: {
        descripcion: string;
        precio: number;
        img: string;
    };
    title: string;
    loading: boolean;
    cart: any;
    tried: number;
    subsCart: Subscription;
    constructor(renderer: Renderer2, connection: ConnectionService, toastrService: ToastService, consts: Constants, cartService: CartService, toastr: ToastService, activedRoute: ActivatedRoute);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    renderPayPal: () => void;
    processError: (err: any) => void;
    setVariables: () => void;
}
