import { OnInit } from '@angular/core';
import { CaptchaService } from '../../../services/captcha.service';
export declare class RecaptchaEcComponent implements OnInit {
    captchaService: CaptchaService;
    /**
     * @param form recibe el formulario que contiene al captcha.
     * @param siteKey recibe un string con la clave para el captcha
     */
    form: any;
    siteKey: string;
    captcha: any;
    constructor(captchaService: CaptchaService);
    ngOnInit(): void;
    /**
     * @description Carga el campo captcha del formulario pasado con la respuesta luego de completar el captcha.
     * @param {string} captchaResponse obtiene la respuesta que genero el captcha.
     */
    resolved(captchaResponse: string): void;
    /**
     * @description Actualiza la clave si está es pasada por parametro en la variable siteKey
     * @returns {null}
     */
    updateKey: () => string;
}
