import { CurrencyPipe } from '@angular/common';
import { Injector, PipeTransform } from '@angular/core';
import { Constants } from '../core.consts';
import { CurrencyService } from '../services/currency.service';
import { ProductsService } from '../services/products/products.service';
export declare class ecCurrencySymbolPipe implements PipeTransform {
    productsService: ProductsService;
    private currencyPipe;
    consts: Constants;
    currencyService: CurrencyService;
    private injector;
    private currency;
    constructor(productsService: ProductsService, currencyPipe: CurrencyPipe, consts: Constants, currencyService: CurrencyService, injector: Injector);
    transform(value: number): string;
    changeSymbolTransform: (valor: any) => any;
    clearSymbol: (value: any) => any;
    positionSymbol: (value: any) => string;
    checkingWithoutDecimals: (value: string) => string;
}
