export declare type StepState = 'pending' | 'doing' | 'ready';
export declare type StepTypeI = 'address' | 'shipment' | 'payment' | 'coupon' | 'generic';
export interface StepI {
    name: StepTypeI;
    priority?: number | string;
    state?: StepState;
    data?: any;
}
