import { Router } from '@angular/router';
import { ConnectionService } from '../../api/connection.service';
import { CartService } from '../cart.service';
import { ObservableError } from '../../interfaces/observable-error.interface';
import { Constants } from '../../core.consts';
export declare class OrdersService {
    private connection;
    private cartService;
    private router;
    private consts;
    channelConfig: any;
    private ordersSubject;
    private errorSubject;
    private selectedOrderSubject;
    orders$: import("rxjs").Observable<any>;
    error$: import("rxjs").Observable<ObservableError>;
    selectedOrder$: import("rxjs").Observable<any>;
    private loading;
    ordersListapi: () => string;
    constructor(connection: ConnectionService, cartService: CartService, router: Router, consts: Constants);
    updateOrders: () => void;
    mapOrdersAndAddInfo: (orders: any) => any;
    setSelectedOrder(order: any): void;
    findOrder: (order_number: any) => any;
    getOrderByNumber: (order_number: any) => any;
    waitUntilOrders: (order_number: any, next: any) => void;
    reBuy(order: any): void;
    formatProduct(product: any, discount: any): any;
}
