import { AnalyticEventKey } from '../interfaces/analytics/event-key.model';
import { DopplerService } from '../utils/analytics/doppler.service';
import { FacebookPixelService } from '../utils/analytics/facebook-pixel.service';
import { GoogleAnalyticsService } from '../utils/analytics/google-analytics.service';
import { GTMService } from '../utils/analytics/gtm.service';
import { MetricoolPixelService } from '../utils/analytics/metricool-pixel.service';
export declare class AnalyticsService {
    private facebookAnalitycs;
    private googleAnalytics;
    private gtmAnalytics;
    private metricoolAnalytics;
    private dopplerAnalytics;
    private services;
    constructor(facebookAnalitycs: FacebookPixelService, googleAnalytics: GoogleAnalyticsService, gtmAnalytics: GTMService, metricoolAnalytics: MetricoolPixelService, dopplerAnalytics: DopplerService);
    initializeFacebook: (value: any) => void;
    initializeGoogle: (value: any) => void;
    initializeGTM: (value: any) => void;
    initializeMetricool: (value: any) => void;
    initializeDoppler: (value: any) => void;
    callEvent: (event_name: AnalyticEventKey, data?: any) => void;
}
