import { ConnectionService } from '../../api/connection.service';
import { Constants } from '../../core.consts';
import { IBlock } from '../../interfaces/block';
export interface BlockInfo {
    section: string;
    blocks: IBlock[];
}
export declare class BlocksRepositoryService {
    private consts;
    private connection;
    private data;
    blocksAPI: (section: any) => string;
    constructor(consts: Constants, connection: ConnectionService);
    getBlocks: (section: any) => Promise<IBlock[]>;
    hasSectionBlocks: (section: any) => BlockInfo;
    appendBlock: (blocks: IBlock[], section: any) => boolean;
    restartBlocks: () => any[];
    getSection(section: any): any;
}
