import { ConnectionService } from '../api/connection.service';
import { Constants } from '../core.consts';
import { Parameter } from '../interfaces/parameters';
import { AnalyticsService } from './analytics.service';
export declare class ParametersService {
    private connection;
    private constants;
    private analyticsService;
    private parametersSubject;
    private readyParamsSubject;
    parameters: import("rxjs").Observable<Parameter[]>;
    ready$: import("rxjs").Observable<boolean>;
    getAllParametersAPI: () => string;
    constructor(connection: ConnectionService, constants: Constants, analyticsService: AnalyticsService);
    insertAnalitycs: () => void;
    private initializeAnalytics;
    private waitUntilData;
}
