import { RendererFactory2 } from '@angular/core';
import { AnalyticEventKey } from '../../interfaces/analytics/event-key.model';
import { FacebookPixelData } from '../../interfaces/analytics/facebook-pixel/facebook-pixel-model';
export declare class FacebookPixelService {
    private rendererFactory;
    private document;
    private renderer;
    private enabled;
    constructor(rendererFactory: RendererFactory2, document: any);
    initialize: (pixel_id: any) => void;
    callEvent: (event_name: AnalyticEventKey, data?: {}) => void;
    translateEventName: (event_name: AnalyticEventKey) => "PageView" | "ViewContent" | "InitiateCheckout" | "AddPaymentInfo" | "Purchase" | "AddToCart";
    evalEvent: (event_name: any, data: any) => any;
    callCustomEvent: (event_name: any, data?: FacebookPixelData) => void;
    disable: () => boolean;
    private toViewContent;
    private toPurchase;
    private toCheckoutInit;
    private toPaymentInfo;
    private toAddToCart;
    private getContents;
    private getContentIds;
}
