import { CheckoutData, CheckoutDataType } from '../interfaces/checkout-data';
export declare class OrderUtilityService {
    constructor();
    /**
     * @param cart Objeto carrito o orden, indistintamente, ya que poseen el mismo formato
     * @param forCart Si la solicitud de promociones proviene del carrito, suprime el subtotal y el total
     * @description Devuelve un listado con todas las promociones que posee el carro/orden
     */
    getPromotions: (cart: any, forCart?: boolean) => CheckoutData[];
    getAmount: (discount: any, cart: any) => number;
    formatType: (type: string) => CheckoutDataType;
}
